# Serialized Form

Package com.ziclix.python.sql

Class com.ziclix.python.sql.DBApiType extends PyInteger implements Serializable

Class com.ziclix.python.sql.PyConnection extends PyObject implements Serializable

Serialized Fields

### closed

    boolean closed

  Field closed

### connection

    java.sql.Connection connection

  Field connection

### supportsTransactions

    boolean supportsTransactions

  Field supportsTransactions

### cursors

    java.util.Set cursors

  Field cursors

### statements

    java.util.Set statements

  Field statements

Class com.ziclix.python.sql.PyCursor extends PyObject implements Serializable

Serialized Fields

### fetch

    Fetch fetch

  Field fetch

### closed

    boolean closed

  Field closed

### arraysize

    int arraysize

  Field arraysize

### softspace

    int softspace

  Field softspace

### rsType

    PyObject rsType

  Field rsType

### rsConcur

    PyObject rsConcur

  Field rsConcur

### warnings

    PyObject warnings

  Field warnings

### lastrowid

    PyObject lastrowid

  Field warnings

### updatecount

    PyObject updatecount

  Field updatecount

### dynamicFetch

    boolean dynamicFetch

  Field dynamicFetch

### connection

    PyConnection connection

  Field connection

### datahandler

    DataHandler datahandler

  Field datahandler

### statement

    PyStatement statement

  Field statement

Class com.ziclix.python.sql.PyExtendedCursor extends PyCursor implements Serializable

Class com.ziclix.python.sql.PyStatement extends PyObject implements Serializable

Serialized Fields

### style

    int style

  Field style

### sql

    java.lang.Object sql

  Field sql

### closed

    boolean closed

  Field closed

### statement

    java.sql.Statement statement

  Field statement

Class com.ziclix.python.sql.WarningEvent extends java.util.EventObject implements Serializable

Serialized Fields

### warning

    java.sql.SQLWarning warning

Class com.ziclix.python.sql.zxJDBC extends PyObject implements Serializable

Package org.python.core

Class org.python.core.AbstractArray extends java.lang.Object implements Serializable

Serialized Fields

### capacity

    int capacity

  Size of the current array, which can be larger than the `size` field.

### size

    int size

  The number of values currently present in the array.

### modCountIncr

    int modCountIncr

  The modification count increment indicates if a structural change occured as a result of an operation that would make concurrent iteration over the array invalid. It is typically used by subclasses that extend `AbstractList`, by adding the value to `AbstractList.modCount` after performing a potentially structure-altering operation. A value of 0 indicates that it is still valid to iterate over the array. A value of 1 indicates it is no longer valid to iterate over the range.

  This class uses a somewhat stricter semantic for `modCount`. Namely, `modCountIncr` is only set to 1 if a structural change occurred. The jdk collections generally increment `modCount` if a potentially structure-altering method is called, regardless of whether or not a change actually occurred. See also: `java.util.AbstractList#modCount`

Class org.python.core.InternalTables2.TableProvid2 extends java.util.HashMap implements Serializable

Class org.python.core.JavaImporter extends PyObject implements Serializable

Class org.python.core.PrecompiledImporter extends PyObject implements Serializable

Class org.python.core.PrecompiledImporter.PrecompiledLoader extends PyObject implements Serializable

Serialized Fields

### _class

    java.lang.Class _class

### _package

    boolean _package

Class org.python.core.PyArray extends PySequence implements Serializable

Serialized Fields

### data

    java.lang.Object data

### type

    java.lang.Class type

### typecode

    java.lang.String typecode

### delegate

    org.python.core.PyArray.ArrayDelegate delegate

Class org.python.core.PyArrayDerived extends PyArray implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyBaseString extends PySequence implements Serializable

Class org.python.core.PyBeanEvent extends PyObject implements Serializable

Serialized Fields

### addMethod

    java.lang.reflect.Method addMethod

### eventClass

    java.lang.Class eventClass

### __name__

    java.lang.String __name__

Class org.python.core.PyBeanEventProperty extends PyReflectedField implements Serializable

Serialized Fields

### addMethod

    java.lang.reflect.Method addMethod

### eventName

    java.lang.String eventName

### eventClass

    java.lang.Class eventClass

### __name__

    java.lang.String __name__

### adapterField

    java.lang.reflect.Field adapterField

### adapterClass

    java.lang.Class adapterClass

Class org.python.core.PyBeanProperty extends PyReflectedField implements Serializable

Serialized Fields

### getMethod

    java.lang.reflect.Method getMethod

### setMethod

    java.lang.reflect.Method setMethod

### myType

    java.lang.Class myType

### __name__

    java.lang.String __name__

Class org.python.core.PyBuiltinFunction extends PyObject implements Serializable

Serialized Fields

### info

    PyBuiltinFunction.Info info

Class org.python.core.PyBuiltinFunctionSet extends PyBuiltinFunction implements Serializable

Serialized Fields

### index

    int index

### doc

    PyObject doc

Class org.python.core.PyBuiltinMethod extends PyBuiltinFunction implements Serializable

Serialized Fields

### self

    PyObject self

Class org.python.core.PyBuiltinMethodNarrow extends PyBuiltinMethod implements Serializable

Class org.python.core.PyBuiltinMethodSet extends PyBuiltinFunctionSet implements Serializable

Serialized Fields

### type

    java.lang.Class type

### __self__

    PyObject __self__

Class org.python.core.PyCallIter extends PyIterator implements Serializable

Serialized Fields

### callable

    PyObject callable

### sentinel

    PyObject sentinel

### idx

    int idx

Class org.python.core.PyCell extends PyObject implements Serializable

Serialized Fields

### ob_ref

    PyObject ob_ref

Class org.python.core.PyClass extends PyObject implements Serializable

Serialized Fields

### __dict__

    PyObject __dict__

  Holds the namespace for this class

### __bases__

    PyTuple __bases__

  The base classes of this class

### __name__

    java.lang.String __name__

  The name of this class

### __getattr__

    PyObject __getattr__

### __setattr__

    PyObject __setattr__

### __delattr__

    PyObject __delattr__

### __tojava__

    PyObject __tojava__

### __del__

    PyObject __del__

### __contains__

    PyObject __contains__

### proxyClass

    java.lang.Class proxyClass

### super__methods

    java.util.HashMap super__methods

Class org.python.core.PyClassMethod extends PyObject implements Serializable

Serialized Fields

### callable

    PyObject callable

Class org.python.core.PyClassMethodDerived extends PyClassMethod implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyClassMethodDescr extends PyMethodDescr implements Serializable

Class org.python.core.PyCode extends PyObject implements Serializable

Serialized Fields

### co_name

    java.lang.String co_name

Class org.python.core.PyComplex extends PyObject implements Serializable

Serialized Fields

### real

    double real

### imag

    double imag

Class org.python.core.PyComplexDerived extends PyComplex implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyCompoundCallable extends PyObject implements Serializable

Serialized Fields

### callables

    java.util.Vector callables

### systemState

    PySystemState systemState

Class org.python.core.PyDescriptor extends PyObject implements Serializable

Serialized Fields

### dtype

    PyType dtype

### name

    java.lang.String name

Class org.python.core.PyDictionary extends PyObject implements Serializable

Serialized Fields

### table

    java.util.Hashtable table

Class org.python.core.PyDictionaryDerived extends PyDictionary implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyEllipsis extends PySingleton implements Serializable

Serialization Methods

### writeReplace

    private java.lang.Object writeReplace()

Class org.python.core.PyEnumerate extends PyIterator implements Serializable

Serialized Fields

### en_index

    long en_index

### en_sit

    PyObject en_sit

### en_result

    PyTuple en_result

Class org.python.core.PyException extends java.lang.RuntimeException implements Serializable

Serialized Fields

### type

    PyObject type

  The python exception class (for class exception) or identifier (for string exception).

### value

    PyObject value

  The exception instance (for class exception) or exception value (for string exception).

### traceback

    PyTraceback traceback

### instantiated

    boolean instantiated

### printingStackTrace

    boolean printingStackTrace

Class org.python.core.PyFieldDescr extends PyDescriptor implements Serializable

Serialized Fields

### field

    java.lang.reflect.Field field

### field_type

    java.lang.Class field_type

### readonly

    boolean readonly

Class org.python.core.PyFile extends PyObject implements Serializable

Serialized Fields

### name

    java.lang.String name

### mode

    java.lang.String mode

### softspace

    boolean softspace

### closed

    boolean closed

### file

    org.python.core.PyFile.FileWrapper file

### closer

    org.python.core.PyFile.Closer closer

Class org.python.core.PyFileDerived extends PyFile implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyFinalizableInstance extends PyInstance implements Serializable

Class org.python.core.PyFloat extends PyObject implements Serializable

Serialized Fields

### value

    double value

Class org.python.core.PyFloatDerived extends PyFloat implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyFrame extends PyObject implements Serializable

Serialized Fields

### f_back

    PyFrame f_back

### f_code

    PyTableCode f_code

### f_locals

    PyObject f_locals

### f_globals

    PyObject f_globals

### f_lineno

    int f_lineno

### f_builtins

    PyObject f_builtins

### f_fastlocals

    PyObject[] f_fastlocals

### f_env

    PyCell[] f_env

### f_ncells

    int f_ncells

### f_nfreevars

    int f_nfreevars

### f_lasti

    int f_lasti

### f_savedlocals

    java.lang.Object[] f_savedlocals

### tracefunc

    TraceFunction tracefunc

Class org.python.core.PyFunction extends PyObject implements Serializable

Serialized Fields

### __name__

    java.lang.String __name__

### __doc__

    PyObject __doc__

### func_globals

    PyObject func_globals

### func_defaults

    PyObject[] func_defaults

### func_code

    PyCode func_code

### __dict__

    PyObject __dict__

### func_closure

    PyObject func_closure

Class org.python.core.PyGenerator extends PyIterator implements Serializable

Serialized Fields

### gi_frame

    PyFrame gi_frame

### closure

    PyObject closure

### gi_running

    boolean gi_running

Class org.python.core.PyGetSetDescr extends PyDescriptor implements Serializable

Serialized Fields

### get_meth

    java.lang.reflect.Method get_meth

### set_meth

    java.lang.reflect.Method set_meth

### del_meth

    java.lang.reflect.Method del_meth

### getset_type

    java.lang.Class getset_type

Class org.python.core.PyIgnoreMethodTag extends java.lang.RuntimeException implements Serializable

Class org.python.core.PyInstance extends PyObject implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### javaProxy

    java.lang.Object javaProxy

### __dict__

    PyObject __dict__

  The namespace of this instance. Contains all instance attributes.

### collectionProxy

    org.python.core.CollectionProxy collectionProxy

Class org.python.core.PyInteger extends PyObject implements Serializable

Serialized Fields

### value

    int value

Class org.python.core.PyIntegerDerived extends PyInteger implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyIterator extends PyObject implements Serializable

Serialized Fields

### stopException

    PyException stopException

Class org.python.core.PyJavaClass extends PyClass implements Serializable

Serialized Fields

### __init__

    PyReflectedConstructor __init__

### __mgr__

    PackageManager __mgr__

### initialized

    boolean initialized

### initializing

    boolean initializing

### constructorsInitialized

    boolean constructorsInitialized

### missingAttributes

    PyStringMap missingAttributes

### classInstance

    PyJavaInstance classInstance

Class org.python.core.PyJavaInnerClass extends PyJavaClass implements Serializable

Serialized Fields

### parent

    PyJavaClass parent

Class org.python.core.PyJavaInstance extends PyInstance implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Implementation of the Externalizable interface.

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Implementation of the Externalizable interface.

  Throws:
    `java.io.IOException`

Class org.python.core.PyJavaPackage extends PyObject implements Serializable

Serialized Fields

### __name__

    java.lang.String __name__

### __dict__

    PyStringMap __dict__

### clsSet

    PyStringMap clsSet

  Its keys are the names of statically known classes. E.g. from jars pre-scan.

### __file__

    java.lang.String __file__

### __mgr__

    PackageManager __mgr__

  (Control) package manager whose hierarchy contains this java pkg.

Class org.python.core.PyList extends PySequenceList implements Serializable

Class org.python.core.PyListDerived extends PyList implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyLong extends PyObject implements Serializable

Serialized Fields

### value

    java.math.BigInteger value

Class org.python.core.PyLongDerived extends PyLong implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyMethod extends PyObject implements Serializable

Serialized Fields

### im_self

    PyObject im_self

### im_func

    PyObject im_func

### im_class

    PyObject im_class

### __name__

    java.lang.String __name__

### __doc__

    PyObject __doc__

Class org.python.core.PyMethodDescr extends PyDescriptor implements Serializable

Serialized Fields

### minargs

    int minargs

### maxargs

    int maxargs

### meth

    PyBuiltinFunction meth

Class org.python.core.PyModule extends PyObject implements Serializable

Serialized Fields

### module_doc

    PyObject module_doc

### __dict__

    PyObject __dict__

Class org.python.core.PyModuleDerived extends PyModule implements Serializable

Serialized Fields

### slots

    PyObject[] slots

Class org.python.core.PyNewWrapper extends PyBuiltinMethod implements Serializable

Serialized Fields

### for_type

    PyType for_type

Class org.python.core.PyNone extends PyObject implements Serializable

Serialization Methods

### writeReplace

    private java.lang.Object writeReplace()

Class org.python.core.PyNotImplemented extends PySingleton implements Serializable

Serialization Methods

### writeReplace

    private java.lang.Object writeReplace()

Class org.python.core.PyObject extends java.lang.Object implements Serializable

Serialized Fields

### objtype

    PyType objtype

Class org.python.core.PyObject.ConversionException extends java.lang.Exception implements Serializable

Serialized Fields

### index

    int index

Class org.python.core.PyObjectArray extends AbstractArray implements Serializable

Serialized Fields

### baseArray

    PyObject[] baseArray

  The underlying array used for storing the data.

Class org.python.core.PyObjectDerived extends PyObject implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyObjectList extends java.util.AbstractList implements Serializable

Serialized Fields

### array

    PyObjectArray array

  Provides mutable operations on a PyObject[] array, including features that help with implementing java.util.List.

Class org.python.core.PyProperty extends PyObject implements Serializable

Serialized Fields

### fget

    PyObject fget

### fset

    PyObject fset

### fdel

    PyObject fdel

### doc

    PyObject doc

Class org.python.core.PyPropertyDerived extends PyProperty implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyReflectedConstructor extends PyReflectedFunction implements Serializable

Class org.python.core.PyReflectedField extends PyObject implements Serializable

Serialized Fields

### field

    java.lang.reflect.Field field

Class org.python.core.PyReflectedFunction extends PyObject implements Serializable

Serialized Fields

### __name__

    java.lang.String __name__

### __doc__

    PyObject __doc__

### argslist

    org.python.core.ReflectedArgs[] argslist

### nargs

    int nargs

Class org.python.core.PySequence extends PyObject implements Serializable

Class org.python.core.PySequenceIter extends PyIterator implements Serializable

Serialized Fields

### seq

    PyObject seq

### idx

    int idx

Class org.python.core.PySequenceList extends PySequence implements Serializable

Serialized Fields

### list

    PyObjectList list

Class org.python.core.PySingleton extends PyObject implements Serializable

Serialized Fields

### name

    java.lang.String name

Class org.python.core.PySlice extends PyObject implements Serializable

Serialized Fields

### start

    PyObject start

### stop

    PyObject stop

### step

    PyObject step

Class org.python.core.PySlot extends PyDescriptor implements Serializable

Serialized Fields

### index

    int index

Class org.python.core.PyStaticMethod extends PyObject implements Serializable

Serialized Fields

### callable

    PyObject callable

Class org.python.core.PyString extends PyBaseString implements Serializable

Serialized Fields

### string

    java.lang.String string

Class org.python.core.PyStringDerived extends PyString implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyStringMap extends PyObject implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### size

    int size

Class org.python.core.PySuper extends PyObject implements Serializable

Serialized Fields

### thisClass

    PyType thisClass

### self

    PyObject self

### selfClass

    PyType selfClass

Class org.python.core.PySuperDerived extends PySuper implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PySyntaxError extends PyException implements Serializable

Serialized Fields

### lineno

    int lineno

### column

    int column

### text

    java.lang.String text

### filename

    java.lang.String filename

Class org.python.core.PySystemState extends PyObject implements Serializable

Serialized Fields

### argv

    PyList argv

  The arguments passed to this program on the command line.

### modules

    PyObject modules

### path

    PyList path

### meta_path

    PyList meta_path

### path_hooks

    PyList path_hooks

### path_importer_cache

    PyObject path_importer_cache

### ps1

    PyObject ps1

### ps2

    PyObject ps2

### executable

    PyObject executable

### classLoader

    java.lang.ClassLoader classLoader

### stdout

    PyObject stdout

### stderr

    PyObject stderr

### stdin

    PyObject stdin

### __stdout__

    PyObject __stdout__

### __stderr__

    PyObject __stderr__

### __stdin__

    PyObject __stdin__

### __displayhook__

    PyObject __displayhook__

### __excepthook__

    PyObject __excepthook__

### last_value

    PyObject last_value

### last_type

    PyObject last_type

### last_traceback

    PyObject last_traceback

### __dict__

    PyObject __dict__

### recursionlimit

    int recursionlimit

### tracefunc

    TraceFunction tracefunc

### profilefunc

    TraceFunction profilefunc

Class org.python.core.PyTableCode extends PyCode implements Serializable

Serialized Fields

### co_argcount

    int co_argcount

### nargs

    int nargs

### co_firstlineno

    int co_firstlineno

### co_varnames

    java.lang.String[] co_varnames

### co_cellvars

    java.lang.String[] co_cellvars

### jy_npurecell

    int jy_npurecell

### co_freevars

    java.lang.String[] co_freevars

### co_filename

    java.lang.String co_filename

### co_flags

    int co_flags

### co_nlocals

    int co_nlocals

### args

    boolean args

### keywords

    boolean keywords

### funcs

    PyFunctionTable funcs

### func_id

    int func_id

Class org.python.core.PyTraceback extends PyObject implements Serializable

Serialized Fields

### tb_next

    PyObject tb_next

### tb_frame

    PyFrame tb_frame

### tb_lineno

    int tb_lineno

Class org.python.core.PyTuple extends PySequenceList implements Serializable

Class org.python.core.PyTupleDerived extends PyTuple implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyType extends PyObject implements Serializable

Serialization Methods

### writeReplace

    private java.lang.Object writeReplace()

Serialized Fields

### name

    java.lang.String name

### base

    PyType base

### bases

    PyObject[] bases

### dict

    PyObject dict

### mro

    PyObject[] mro

### underlying_class

    java.lang.Class underlying_class

### builtin

    boolean builtin

### non_instantiable

    boolean non_instantiable

### has_set

    boolean has_set

### has_delete

    boolean has_delete

### needs_finalizer

    boolean needs_finalizer

### numSlots

    int numSlots

### needs_userdict

    boolean needs_userdict

### subclasses_refq

    java.lang.ref.ReferenceQueue subclasses_refq

### subclasses

    java.util.HashSet subclasses

Class org.python.core.PyTypeDerived extends PyType implements Serializable

Serialized Fields

### slots

    PyObject[] slots

Class org.python.core.PyUnicode extends PyString implements Serializable

Class org.python.core.PyUnicodeDerived extends PyUnicode implements Serializable

Serialized Fields

### slots

    PyObject[] slots

### dict

    PyObject dict

Class org.python.core.PyXRange extends PySequence implements Serializable

Serialized Fields

### start

    int start

### stop

    int stop

### step

    int step

### cycleLength

    int cycleLength

### copies

    int copies

Class org.python.core.SyspathArchive extends PyString implements Serializable

Serialized Fields

### zipFile

    java.util.zip.ZipFile zipFile

Class org.python.core.ZipFileImporter extends PyObject implements Serializable

Serialized Fields

### archive

    SyspathArchive archive

### pathToArchive

    java.lang.String pathToArchive

Class org.python.core.ZipFileImporter.ZipFileLoader extends PyObject implements Serializable

Serialized Fields

### _info

    org.python.core.ZipFileImporter.ZipModuleInfo _info

Package org.python.util

Class org.python.util.PyServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

### interp

    PythonInterpreter interp

### cache

    java.util.Hashtable cache

### rootPath

    java.lang.String rootPath

Jython homepage